﻿using RecrownedAthenaeum.SpecialTypes;
using Microsoft.Xna.Framework.Graphics;
using System;

namespace RhythmBullet.Preferences
{
    public class General
    {
        public Resolution Resolution = new Resolution(
            GraphicsAdapter.DefaultAdapter.CurrentDisplayMode.Width,
            GraphicsAdapter.DefaultAdapter.CurrentDisplayMode.Height);
        public bool Fullscreen = false;
        public float MusicVolume = 1f;
        public float FXVolume = 1f;
        public string MusicDirectory = Environment.GetFolderPath(Environment.SpecialFolder.MyMusic);
        public string skinName;
        public string skinDirectory;
    }
}
